| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::AbstractInterface Class Reference

`#include <TelepathyQt4/abstract-interface.h>`

Inherited by Tp::Client::AccountInterface, Tp::Client::AccountInterfaceAvatarInterface, Tp::Client::AccountManagerInterface, Tp::Client::ChannelDispatcherInterface, Tp::Client::ChannelDispatchOperationInterface, Tp::Client::ChannelInterface, Tp::Client::ChannelInterfaceCallStateInterface, Tp::Client::ChannelInterfaceChatStateInterface, Tp::Client::ChannelInterfaceDTMFInterface, Tp::Client::ChannelInterfaceGroupInterface, Tp::Client::ChannelInterfaceHoldInterface, Tp::Client::ChannelInterfaceMediaSignallingInterface, Tp::Client::ChannelInterfaceMessagesInterface, Tp::Client::ChannelInterfacePasswordInterface, Tp::Client::ChannelInterfaceTubeInterface, Tp::Client::ChannelRequestInterface, Tp::Client::ChannelTypeContactListInterface, Tp::Client::ChannelTypeFileTransferInterface, Tp::Client::ChannelTypeRoomListInterface, Tp::Client::ChannelTypeStreamedMediaInterface, Tp::Client::ChannelTypeStreamTubeInterface, Tp::Client::ChannelTypeTextInterface, Tp::Client::ChannelTypeTubesInterface, Tp::Client::ClientApproverInterface, Tp::Client::ClientHandlerInterface, Tp::Client::ClientInterface, Tp::Client::ClientInterfaceRequestsInterface, Tp::Client::ClientObserverInterface, Tp::Client::ConnectionInterface, Tp::Client::ConnectionInterfaceAliasingInterface, Tp::Client::ConnectionInterfaceAvatarsInterface, Tp::Client::ConnectionInterfaceCapabilitiesInterface, Tp::Client::ConnectionInterfaceContactCapabilitiesInterface, Tp::Client::ConnectionInterfaceContactsInterface, Tp::Client::ConnectionInterfaceLocationInterface, Tp::Client::ConnectionInterfacePresenceInterface, Tp::Client::ConnectionInterfaceRequestsInterface, Tp::Client::ConnectionInterfaceSimplePresenceInterface, Tp::Client::ConnectionManagerInterface, Tp::Client::DBus::DBusDaemonInterface, Tp::Client::DBus::IntrospectableInterface, Tp::Client::DBus::PeerInterface, Tp::Client::DBus::PropertiesInterface, Tp::Client::MediaSessionHandlerInterface, Tp::Client::MediaStreamHandlerInterface, and Tp::Client::PropertiesInterfaceInterface.

List of all members.

## Public Member Functions

- virtual ~AbstractInterface ()
- bool isValid () const
- QString invalidationReason () const
- QString invalidationMessage () const

## Protected Slots

- virtual void invalidate (Tp::DBusProxy *proxy, const QString &error, const QString &message)

## Protected Member Functions

- AbstractInterface (DBusProxy *parent, const char *interface)
- AbstractInterface (const QString &busName, const QString &path, const char *interface, const QDBusConnection &connection, QObject *parent)

## Constructor & Destructor Documentation

Tp::AbstractInterface::~AbstractInterface | ( |  | ) | `[virtual]`

Tp::AbstractInterface::AbstractInterface | ( | DBusProxy * | parent,
|  | const char * | interface |
| ) |  |  | `[protected]`

Tp::AbstractInterface::AbstractInterface | ( | const QString & | busName,
|  | const QString & | path,
|  | const char * | interface,
|  | const QDBusConnection & | connection,
|  | QObject * | parent |
| ) |  |  | `[protected]`

## Member Function Documentation

bool Tp::AbstractInterface::isValid | ( |  | ) | const

QString Tp::AbstractInterface::invalidationReason | ( |  | ) | const

QString Tp::AbstractInterface::invalidationMessage | ( |  | ) | const

void Tp::AbstractInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message |
| ) |  |  | `[protected, virtual, slot]`

Reimplemented in Tp::Client::AccountManagerInterface, Tp::Client::AccountInterface, Tp::Client::AccountInterfaceAvatarInterface, Tp::Client::ChannelDispatchOperationInterface, Tp::Client::ChannelDispatcherInterface, Tp::Client::ChannelRequestInterface, Tp::Client::ChannelInterface, Tp::Client::ChannelInterfaceCallStateInterface, Tp::Client::ChannelInterfaceChatStateInterface, Tp::Client::ChannelInterfaceDTMFInterface, Tp::Client::ChannelInterfaceGroupInterface, Tp::Client::ChannelInterfaceHoldInterface, Tp::Client::ChannelInterfaceMediaSignallingInterface, Tp::Client::ChannelInterfaceMessagesInterface, Tp::Client::ChannelInterfacePasswordInterface, Tp::Client::ChannelInterfaceTubeInterface, Tp::Client::ChannelTypeContactListInterface, Tp::Client::ChannelTypeFileTransferInterface, Tp::Client::ChannelTypeRoomListInterface, Tp::Client::ChannelTypeStreamTubeInterface, Tp::Client::ChannelTypeStreamedMediaInterface, Tp::Client::ChannelTypeTextInterface, Tp::Client::ChannelTypeTubesInterface, Tp::Client::ClientInterface, Tp::Client::ClientApproverInterface, Tp::Client::ClientHandlerInterface, Tp::Client::ClientInterfaceRequestsInterface, Tp::Client::ClientObserverInterface, Tp::Client::ConnectionManagerInterface, Tp::Client::ConnectionInterface, Tp::Client::ConnectionInterfaceAliasingInterface, Tp::Client::ConnectionInterfaceAvatarsInterface, Tp::Client::ConnectionInterfaceCapabilitiesInterface, Tp::Client::ConnectionInterfaceContactCapabilitiesInterface, Tp::Client::ConnectionInterfaceContactsInterface, Tp::Client::ConnectionInterfaceLocationInterface, Tp::Client::ConnectionInterfacePresenceInterface, Tp::Client::ConnectionInterfaceRequestsInterface, Tp::Client::ConnectionInterfaceSimplePresenceInterface, Tp::Client::DBus::DBusDaemonInterface, Tp::Client::DBus::IntrospectableInterface, Tp::Client::DBus::PeerInterface, Tp::Client::DBus::PropertiesInterface, Tp::Client::MediaSessionHandlerInterface, Tp::Client::MediaStreamHandlerInterface, and Tp::Client::PropertiesInterfaceInterface.